import { OnInit, EventEmitter, ChangeDetectorRef } from '@angular/core';
import { ConfigOption, ConfigResult, ConfigStorage } from './grid-config.model';
import { SdNotifyService } from '@sd-angular/core/notify';
import { SdTranslateService } from '@sd-angular/core/translate';
import { SdSettingService } from '@sd-angular/core/setting';
import { SdModal } from '@sd-angular/core/modal';
export declare class SdGridConfig implements OnInit {
    #private;
    private ref;
    private notifyService;
    private settingService;
    private translateService;
    modal: SdModal;
    sdChange: EventEmitter<ConfigResult>;
    option: ConfigOption;
    storage: ConfigStorage;
    constructor(ref: ChangeDetectorRef, notifyService: SdNotifyService, settingService: SdSettingService, translateService: SdTranslateService);
    ngOnInit(): void;
    setOption(option: ConfigOption): Promise<void>;
    private init;
    open(): void;
    save(): void;
    reset(): void;
    moveColumnUp(index: number): void;
    moveColumnDown(index: number): void;
    emitOnChange(): void;
}
